import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Location } from '@angular/common';


@Component({
  selector: 'app-listenbook',
  templateUrl: './listenbook.page.html',
  styleUrls: ['./listenbook.page.scss'],
})
export class ListenbookPage implements OnInit {

  poem = {  
    title: '静夜思',  
    dynasty: '唐代',  
    author: '李白',  
    content: `  
      床前明月光， 
      疑是地上霜。 
      举头望明月，
      低头思故乡。  
    `,  
    intro: '这首诗描绘了诗人在寂静的夜晚，看到床前的明亮月光，误以为是地上的霜。他抬头望向明月，不禁低头思念起远方的故乡。',  
    translation: 'The bright moonlight in front of the bed, I suspected it was frost on the ground. I raised my head and looked at the bright moon, then lowered my head and thought of my hometown.',  
    appreciation: '此诗以清新朴素的笔触，抒写了丰富深曲的内容，境是境，情是情，那么逼真，那么动人，百读不厌，耐人寻绎。无怪乎有人赞它是“妙绝古今”。'  
  };  
  constructor(private navCtrl: NavController,private location:Location) { }

  ngOnInit() {
  }
  goBack() {  
    
    this.location.back()
  }
}
