import { Component,OnInit } from '@angular/core';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss']
})
export class Tab2Page implements OnInit {
  selectedSegment: string = 'categories';
  categories: any[] = [
    { name: '诗经' },
    { name: '楚辞' },
    { name: '禅' },
    { name: '酒' },
    { name: '离别' },
    { name: '战争' }
  ];
  dynasties: string[] = ['唐', '宋', '元', '明', '清'];
  authors: string[] = ['李白', '杜甫', '王维', '苏轼'];
  poems: any[] = [
    { title: '静夜思', dynasty: '唐', author: '李白', firstLine: '床前明月光' },
    { title: '春望', dynasty: '唐', author: '杜甫', firstLine: '国破山河在' },
    // 更多示例数据
  ];
  selectedDynasty: string | undefined;
  selectedAuthor: string | undefined;

  constructor() { }

  ngOnInit() { }

  segmentChanged(event: any) {
    this.selectedSegment = event.detail.value;
  }

  get filteredPoems() {
    return this.poems.filter(poem => {
      return (!this.selectedDynasty || poem.dynasty === this.selectedDynasty) &&
             (!this.selectedAuthor || poem.author === this.selectedAuthor);
    });
  }
}
